/**********************************************************************
 
	Copyright (C) 2003-2004
	Hirohisa MORI <joshua@nichibun.ac.jp>
	Tomoki SEKIYAMA <sekiyama@yahoo.co.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include "xl.h"
#include "v/vobj_utils.h"

XLISP_ENV *	vobj_env;

void
init_vobj_function()
{
	init_WritingStyle(gblisp_top_env0);


	vobj_env = new_env(gblisp_top_env0);

	init_vobj_utils(vobj_env);

	init_VDestroy(vobj_env);

	init_VAlignView(vobj_env);
	init_VTableView(vobj_env);
	init_VSplitView(vobj_env);
	init_VTabView(vobj_env);
	init_VButton(vobj_env);
	init_VEditText(vobj_env);
	init_VGroupBox(vobj_env);
	init_VScrollView(vobj_env);
	init_VSeparator(vobj_env);
	init_VSlider(vobj_env);
	init_VStaticText(vobj_env);
	init_VWindow(vobj_env);
	init_VDraw(vobj_env);
	init_VexDraw(vobj_env);
	init_VTreeView(vobj_env);
	init_VProgressBar(vobj_env);
	init_VBackColorView(vobj_env);

	init_VMenu(vobj_env);

	init_VChooseFile(vobj_env);

	init_vobj_status(vobj_env);
	
	set_env(gblisp_top_env0, l_string(std_cm, "vobj"),
			get_env(vobj_env));
}

